Package groovy.transform.stc

# Class FirstParam.FirstGenericType

java.lang.Object
groovy.transform.stc.ClosureSignatureHint
groovy.transform.stc.SingleSignatureClosureHint
groovy.transform.stc.PickAnyArgumentHint
groovy.transform.stc.FirstParam.FirstGenericType

Enclosing class:
  `FirstParam`

public static class FirstParam.FirstGenericType extends PickAnyArgumentHint

A hint used to instruct the type checker to pick the first generic type of the first parameter type. For example:

`void <T> doWithElements(List<T> src, @ClosureParams(FirstParam.FirstGenericType.class) Closure c) { src.each { c.call(it) } }`

Since:
  2.3.0
Author:
  Cédric Champeau

## Constructor Summary

Constructors
Constructor
Description
`FirstGenericType()`

## Method Summary

### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

`getParameterTypes`

### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

`getClosureSignatures`

### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

`findClassNode, pickGenericType, pickGenericType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FirstGenericType

public FirstGenericType()